Bug 439388 - "Db::get: Cannot allocate memory" on recovery
"Db::get: Cannot allocate memory" on recovery
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Gordon Sim
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2008-03-28 10:00 EDT by Gordon Sim
Modified: 2009-08-21 11:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-21 11:30:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-03-28 10:00:07 EDT
Publish 100,000 messages of 2k to a queue (using store-async=false), then stop
the broker try to restart. Get an error midway through:  "Db::get: Cannot
allocate memory".
Comment 1 Gordon Sim 2008-03-28 13:33:35 EDT
Running the bdb db_stat utility on the message db file results in that program
Comment 2 Gordon Sim 2008-03-28 13:51:55 EDT
The same thing happens when running the db_dump utility.
Comment 3 Gordon Sim 2008-04-01 13:11:36 EDT
Fixed in r1817 of the bdbstore. Solution was to batch up recovery of messages
into multiple transactions of a fxied number of ops each.
Comment 4 Mike Bonnet 2008-05-16 11:08:49 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.